OID reference

rsDhcpIPAddressAllocTable

1.3.6.1.4.1.171.11.44.2.38.9

Description

Table of IP Addresses allocated by DHCP server.

Full description and source information

Identification

Identifier and names

Parent
1.3.6.1.4.1.171.11.44.2.38 (rsDHCP)
Node code
9
Node name
rsDhcpIPAddressAllocTable
Category
SNMP management object
Numeric OID
1.3.6.1.4.1.171.11.44.2.38.9
URN notation
urn:oid:1.3.6.1.4.1.171.11.44.2.38.9
ASN.1, OID-IRI and named path variants
ASN.1 notation

{1 3 6 1 4 1 171 11 44 2 38 9}

  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) dlink(171) dlink-mgmt(11) des6300Product(44) rnd(2) rsDHCP(38) rsDhcpIPAddressAllocTable(9)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) d-link(171) dlink-mgmt(11) des6300Product(44) rnd(2) rsDHCP(38) rsDhcpIPAddressAllocTable(9)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) company(171) dlink-mgmt(11) des6300Product(44) rnd(2) rsDHCP(38) rsDhcpIPAddressAllocTable(9)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) my(171) dlink-mgmt(11) des6300Product(44) rnd(2) rsDHCP(38) rsDhcpIPAddressAllocTable(9)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nms(171) dlink-mgmt(11) des6300Product(44) rnd(2) rsDHCP(38) rsDhcpIPAddressAllocTable(9)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) dlink(171) dlink-mgmt(11) des6300Product(44) rnd(2) rsDHCP(38) rsDhcpIPAddressAllocTable(9)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) d-link(171) dlink-mgmt(11) des6300Product(44) rnd(2) rsDHCP(38) rsDhcpIPAddressAllocTable(9)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) company(171) dlink-mgmt(11) des6300Product(44) rnd(2) rsDHCP(38) rsDhcpIPAddressAllocTable(9)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) my(171) dlink-mgmt(11) des6300Product(44) rnd(2) rsDHCP(38) rsDhcpIPAddressAllocTable(9)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) nms(171) dlink-mgmt(11) des6300Product(44) rnd(2) rsDHCP(38) rsDhcpIPAddressAllocTable(9)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) dlink(171) dlink-mgmt(11) des6300Product(44) rnd(2) rsDHCP(38) rsDhcpIPAddressAllocTable(9)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) d-link(171) dlink-mgmt(11) des6300Product(44) rnd(2) rsDHCP(38) rsDhcpIPAddressAllocTable(9)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) company(171) dlink-mgmt(11) des6300Product(44) rnd(2) rsDHCP(38) rsDhcpIPAddressAllocTable(9)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) my(171) dlink-mgmt(11) des6300Product(44) rnd(2) rsDHCP(38) rsDhcpIPAddressAllocTable(9)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) nms(171) dlink-mgmt(11) des6300Product(44) rnd(2) rsDHCP(38) rsDhcpIPAddressAllocTable(9)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) dlink(171) dlink-mgmt(11) des6300Product(44) rnd(2) rsDHCP(38) rsDhcpIPAddressAllocTable(9)}
  • Additional combinations skipped.
OID-IRI notation
  • /1/3/6/1/4/1/171/11/44/2/38/9
  • /ISO/Identified-Organization/6/1/4/1/171/11/44/2/38/9
  • /ISO/3/6/1/4/1/171/11/44/2/38/9
Named path variants
  • /iso/identified-organization/dod/internet/private/enterprise/dlink/dlink-mgmt/des6300Product/rnd/rsDHCP/rsDhcpIPAddressAllocTable
  • /iso/identified-organization/dod/internet/private/enterprise/d-link/dlink-mgmt/des6300Product/rnd/rsDHCP/rsDhcpIPAddressAllocTable
  • /iso/identified-organization/dod/internet/private/enterprise/company/dlink-mgmt/des6300Product/rnd/rsDHCP/rsDhcpIPAddressAllocTable
  • /iso/identified-organization/dod/internet/private/enterprise/my/dlink-mgmt/des6300Product/rnd/rsDHCP/rsDhcpIPAddressAllocTable
  • /iso/identified-organization/dod/internet/private/enterprise/nms/dlink-mgmt/des6300Product/rnd/rsDHCP/rsDhcpIPAddressAllocTable
  • /iso/identified-organization/dod/internet/private/enterprises/dlink/dlink-mgmt/des6300Product/rnd/rsDHCP/rsDhcpIPAddressAllocTable
  • /iso/identified-organization/dod/internet/private/enterprises/d-link/dlink-mgmt/des6300Product/rnd/rsDHCP/rsDhcpIPAddressAllocTable
  • /iso/identified-organization/dod/internet/private/enterprises/company/dlink-mgmt/des6300Product/rnd/rsDHCP/rsDhcpIPAddressAllocTable
  • /iso/identified-organization/dod/internet/private/enterprises/my/dlink-mgmt/des6300Product/rnd/rsDHCP/rsDhcpIPAddressAllocTable
  • /iso/identified-organization/dod/internet/private/enterprises/nms/dlink-mgmt/des6300Product/rnd/rsDHCP/rsDhcpIPAddressAllocTable
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/dlink/dlink-mgmt/des6300Product/rnd/rsDHCP/rsDhcpIPAddressAllocTable
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/d-link/dlink-mgmt/des6300Product/rnd/rsDHCP/rsDhcpIPAddressAllocTable
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/company/dlink-mgmt/des6300Product/rnd/rsDHCP/rsDhcpIPAddressAllocTable
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/my/dlink-mgmt/des6300Product/rnd/rsDHCP/rsDhcpIPAddressAllocTable
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/nms/dlink-mgmt/des6300Product/rnd/rsDHCP/rsDhcpIPAddressAllocTable
  • /iso/identified-organization/dod/internet/private/vendor-objects/dlink/dlink-mgmt/des6300Product/rnd/rsDHCP/rsDhcpIPAddressAllocTable
  • Additional combinations skipped.

SNMP properties

Value type
SEQUENCE OF RsDhcpIPAddressAllocEntry
Maximum access defined by MIB
not-accessible
Status in MIB
mandatory

Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.

The displayed source records contain one distinct definition. Compare its source records.

rsDhcpIPAddressAllocTable OBJECT-TYPE
    SYNTAX SEQUENCE OF RsDhcpIPAddressAllocEntry
    ACCESS not-accessible
    STATUS mandatory
    DESCRIPTION
      "Table of IP Addresses allocated by DHCP server."
    ::=  { rsDHCP 9 }

Meaning

Descriptions

1 unique

Identical descriptions are grouped. Different wording and device-specific notes are retained.

Evidence

Source records

1 records

Matching descriptions are grouped; open a group to compare definitions and supporting files.

Records for description 1D-Link official switch MIBs1 record · 1 source

Description 1

rsDhcpIPAddressAllocTable · mandatoryD-Link official switch MIBs1 source

Status in source: mandatory.

Names: rsDhcpIPAddressAllocTable

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "rsDhcpIPAddressAllocTable",
    "OBJECT-TYPE",
    "SYNTAX",
    "SEQUENCE",
    "OF",
    "RsDhcpIPAddressAllocEntry",
    "ACCESS",
    "not-accessible",
    "STATUS",
    "mandatory",
    "DESCRIPTION",
    "\"Table of IP Addresses allocated by DHCP server.\"",
    "::=",
    "{",
    "rsDHCP",
    "9",
    "}"
  ],
  "syntax_tree": [
    [
      "conceptualTable",
      [
        "row",
        "RsDhcpIPAddressAllocEntry"
      ]
    ],
    null,
    [
      "MaxAccessPart",
      "not-accessible"
    ],
    [
      "Status",
      "mandatory"
    ],
    [
      "DESCRIPTION",
      "Table of IP Addresses allocated by DHCP server."
    ],
    null,
    null,
    null,
    null
  ]
}
  • D-Link official switch MIBs · Publisher's source file: Source package: DES6300 MIB(0131140909).zip

    Module: DLINK-RADLAN-MIB

    See published definition above

    Module imports
    {'IF-MIB': ['InterfaceIndexOrZero', 'InterfaceIndex', 'ifIndex'], 'LAG-MIB': ['dot3adAggIndex'], 'MAU-MIB': ['JackType'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RMON-MIB': ['OwnerString', 'EntryStatus'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'BRIDGE-MIB': ['BridgeId', 'Timeout', 'dot1dBasePort', 'dot1dBasePortEntry', 'MacAddress'], 'SNMPv2-SMI': ['Unsigned32', 'Counter32', 'Counter64'], 'RFC1155-SMI': ['NetworkAddress', 'IpAddress', 'Counter', 'Gauge', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress', 'ipAddrEntry'], 'RFC1315-MIB': ['DLCI'], 'RFC1389-MIB': ['rip2IfConfEntry'], 'P-BRIDGE-MIB': ['EnabledStatus'], 'Q-BRIDGE-MIB': ['PortList'], 'SNMPv2-TC-v1': ['TimeInterval'], 'RADLAN-SNMPv2': ['TruthValue', 'RowStatus', 'zeroDotZero', 'RowPointer'], 'SNMP-FRAMEWORK-MIB': ['SnmpAdminString']}
    · Download DlkApollo.mib

    Related source files and packages:

Registration

Registration authorities

First Registration Authority (inferred from ancestor 1.3.6.1.4.1.171)

Henry P. Nagai

Direct children (1)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.171.11.44.2.38.9.1 rsDhcpIPAddressAllocEntry1212

Siblings (20)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.171.11.44.2.38.1 rsDNSIPAddr00
1.3.6.1.4.1.171.11.44.2.38.2 rsDhcpProbeEnable00
1.3.6.1.4.1.171.11.44.2.38.3 rsDhcpProbeTimeout00
1.3.6.1.4.1.171.11.44.2.38.4 rsDhcpProbeRetries00
1.3.6.1.4.1.171.11.44.2.38.5 rsDhcpServerEnable00
1.3.6.1.4.1.171.11.44.2.38.6 rsDhcpRelaySecThreshold00
1.3.6.1.4.1.171.11.44.2.38.7 rsDhcpNextServerAddress00
1.3.6.1.4.1.171.11.44.2.38.8 rsDhcpDefaultLeaseTime00
1.3.6.1.4.1.171.11.44.2.38.10 rsDhcpDynamicTable113
1.3.6.1.4.1.171.11.44.2.38.11 rsDhcpWinsPrime00
1.3.6.1.4.1.171.11.44.2.38.12 rsDhcpWinsSecondary00
1.3.6.1.4.1.171.11.44.2.38.13 rsDhcpWinsNodeType00
1.3.6.1.4.1.171.11.44.2.38.14 rsDhcpMibVersion00
1.3.6.1.4.1.171.11.44.2.38.15 rsDhcpMultipleRelaysTable14
1.3.6.1.4.1.171.11.44.2.38.16 rsDhcpRelayEnable00
1.3.6.1.4.1.171.11.44.2.38.17 rsDhcpEraseFlashDB00
1.3.6.1.4.1.171.11.44.2.38.18 rsDhcpDBLocation00
1.3.6.1.4.1.171.11.44.2.38.19 rsDhcpOptionsTable113
1.3.6.1.4.1.171.11.44.2.38.20 rsDhcpServerExists00
1.3.6.1.4.1.171.11.44.2.38.21 rsDhcpActualNumberOfEntries00